#
# spec file for package python-pyweblib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyweblib
Version:        1.3.12
Release:        lp150.1.3
Url:            http://www.stroeder.com/pylib/PyWebLib/
Summary:        Simple web programming library for Python
License:        GPL-2.0
Group:          Development/Languages/Python
Source:         http://www.stroeder.com/pylib/PyWebLib/download/pyweblib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
Provides:       python-pyweblib = %{version}
Obsoletes:      python-pyweblib < %{version}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
This is a simple web programming library with the following sub-modules:
pyweblib.forms class library for handling form input
pyweblib.session server-side web session handling
pyweblib.helper misc. stuff useful in CGI-BINs
pyweblib.sslenv retrieves SSL-related env vars
pyweblib.httphelper very basic HTTP functions

%prep
%setup -q -n pyweblib-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES
%{python_sitelib}/*

%changelog
* Tue Feb 16 2016 michael@stroeder.com
- Changed license to "GPL-2.0"
* Sat Jan 10 2015 michael@stroeder.com
- Update to upstream release 1.3.12
* Sat Mar 22 2014 michael@stroeder.com
- Update to upstream release 1.3.11
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri May 17 2013 michael@stroeder.com
- Update to upstream release 1.3.10
* Fri Mar 23 2012 michael@stroeder.com
- Initial submission of upstream release 1.3.8
